<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Anwärter</h1>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
    <button type="button"
            class="button"
            ng-if="!vm.formVisible"
            ng-click="vm.toggleForm()">Neuen Anwärter anlegen</button>
  </div><!-- .column -->
</div><!-- .columns -->

<div class="columns" ng-if="vm.formVisible">
  <div class="column">

    <ng-form name="aspirantForm">
      <div class="columns">
        <div class="column is-two-thirds">
          <label class="label">Daten</label>
          <div class="control has-icon has-icon-right">
            <input type="text"
                   class="input"
                   ng-class="!aspirantForm.nameTf.$touched ? '' : (aspirantForm.nameTf.$valid ? 'is-success' : 'is-danger')"
                   name="nameTf"
                   placeholder="Name"
                   required
                   ng-model="vm.aspirant.name">
            <i class="fa fa-warning"
               ng-if="aspirantForm.nameTf.$touched && !aspirantForm.nameTf.$valid">
            </i>
            <span class="help is-danger is-pulled-right"
                  ng-if="aspirantForm.nameTf.$touched && !aspirantForm.nameTf.$valid">
              Name fehlt.
            </span>
          </div>

          <div class="control has-icon has-icon-right">
            <input type="text"
                   class="input"
                   ng-class="!aspirantForm.yearTf.$touched ? '' : (aspirantForm.yearTf.$valid ? 'is-success' : 'is-danger')"
                   name="yearTf"
                   placeholder="Jahrgang"
                   required
                   ng-model="vm.aspirant.year">
            <i class="fa fa-warning"
               ng-if="aspirantForm.yearTf.$touched && !aspirantForm.yearTf.$valid">
            </i>
            <span class="help is-danger is-pulled-right"
                  ng-if="aspirantForm.yearTf.$touched && !aspirantForm.yearTf.$valid">
              Jahrgang fehlt oder ist keine Zahl.
            </span>
          </div>

          <div class="control has-icon has-icon-right">
            <label class="radio">
              <input type="radio"
                     name="careerRadio"
                     ng-model="vm.aspirant.career"
                     value="StAnw">
              Steueranwärter/in
            </label>
            <label class="radio">
              <input type="radio"
                     name="careerRadio"
                     ng-model="vm.aspirant.career"
                     value="FinAnw">
              Finanzanwärter/in
            </label>
          </div>

          <div class="control has-addons">
            <input class="input"
                   ng-class="!aspirantForm.imageTf.$touched ? '' : (aspirantForm.imageTf.$valid ? 'is-success' : 'is-danger')"
                   type="text"
                   name="imageTf"
                   placeholder="Foto-ID"
                   ng-model="vm.aspirant.imageId"
                   required>
            <a class="button"
               ng-click="vm.openImageDialog()">
              Foto auswählen
            </a>
          </div>

          <div class="control">
            <button type="button"
                    class="button is-success"
                    ng-click="vm.create()"
                    ng-if="!vm.updating"
                    ng-disabled="!aspirantForm.$valid">
              Speichern
            </button>
            <button type="button"
                    class="button is-warning"
                    ng-click="vm.update()"
                    ng-if="vm.updating"
                    ng-disabled="!aspirantForm.$valid">
              Ändern
            </button>
            <button type="button"
                    class="button"
                    ng-click="vm.cancel()">Abbrechen</button>
          </div>


        </div><!-- .column -->
        <div class="column is-one-third">
          <label class="label">Vorschau</label>

          <div class="card">
            <div class="card-image">
              <figure class="image" style="max-width: 300px;">
                <img src="{{vm.imageApi + vm.aspirant.imageId}}" alt="">
              </figure>
            </div>
            <div class="card-content">
              <div class="media">
                <div class="media-content has-text-centered">
                  <p class="title is-5">{{vm.aspirant.name}}</p>
                  <p class="subtitle is-6">{{vm.aspirant.career}} - {{vm.aspirant.year}}</p>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>
    </ng-form>

  </div><!-- .column -->
</div><!-- .columns -->

<div class="columns is-multiline">
  <div class="column is-2"
       ng-repeat="asp in vm.aspirants | orderBy:'-year'">

    <div class="card">
      <header class="card-header">
        <p class="card-header-title"></p>
        <a class="card-header-icon" ng-click="vm.edit(asp)">
          <i class="fa fa-pencil"></i>
        </a>
        <a class="card-header-icon" ng-click="vm.remove($index, asp)">
          <i class="fa fa-times"></i>
        </a>
      </header>

      <div class="card-image">
        <figure class="image">
          <img src="{{vm.imageApi + asp.imageId}}" alt="">
        </figure>
      </div>
      <div class="card-content">
        <div class="media">
          <div class="media-content has-text-centered">
            <p class="title is-5">{{asp.name}}</p>
            <p class="subtitle is-6">{{asp.career}} - {{asp.year}}</p>
          </div>
        </div>
      </div>

    </div>

  </div><!-- .column -->
</div><!-- .columns -->